#!/bin/sh

cd lib

mkdir -p moonbridge || exit 1
cd moonbridge || exit 1
wget http://www.public-software-group.org/pub/projects/moonbridge/v1.1.1/moonbridge-v1.1.1.tar.gz || exit 1
tar xvzf moonbridge-v1.1.1.tar.gz || exit 1
cd moonbridge-v1.1.1 || exit 1
bmake clean || exit 1
bmake || exit 1
cd ../.. || exit 1
ln -sf moonbridge/moonbridge-v1.1.1/moonbridge_io.so . || exit 1

mkdir -p singleton || exit 1
cd singleton || exit 1
wget http://www.public-software-group.org/pub/projects/singleton/v0.1/singleton-v0.1.tar.gz || exit 1
tar xvzf singleton-v0.1.tar.gz || exit 1
cd .. || exit 1
ln -sf singleton/singleton-v0.1/singleton.lua . || exit 1

